Status: Accepted Priority: Must have
Updated: 2013-07-15 Due date:
Subject: Release Flow 2.0 stable
Description

Release Flow 2.0 Stable
    -  Target Audience: developers who want to use Flow
    -  Responsible: Robert Lemke <robert (at) typo3 (dot) org>
    -  Implemented by: Karsten Dambekalns, Robert Lemke <robert (at) typo3 (dot) org>
    -  Amount: 6 work days
    -  Version: must have for Neos 1.0
    -  Planned Implementation Timeframe: week 25 to 26, 2013

Motivation
The release of Flow 2.0 stable has been postponed for weeks now since nobody had the resources to dedicate himself for 2-3 days to
tackle the remaining loose ends, create the 2.0 code release an publish the release notes. People are more and more asking for it, so
it's high time to get 2.0 out of the door, especially considering that any Neos version will require Flow 2.1.

Goal
Make the Flow 2.0 release happen and announce it on the Flow website / social media channels.

Go through pending patches, open critical bugs and prepare a tagged version for 2.0 stable. Rename the public git repositories (still
containing FLOW3 in their name and path). Compile release notes.

Deliverables
    -  [MUST]
        -  reviewed pending patches and open critical bugs which are important for 2.0
        -  tagged version 2.0
        -  renamed git repositories (some still contain FLOW3 in their name)
        -  release notes
        -  announcement on typo3.org

    -  [SHOULD]
        -  upgraded flow.typo3.org to latest Neos (hasn't been upgraded since March)

History
#1 - 2013-06-24 16:29 - Sebastian Kurfuerst

I'm totally fine with this work package, I think it absolutely makes sense.

#2 - 2013-06-24 16:29 - Sebastian Kurfuerst
- Target version set to 1.0 beta 1

#3 - 2013-07-15 10:56 - Robert Lemke
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- % Done changed from 0 to 100
#4 - 2013-07-15 10:56 - Robert Lemke

Flow 2.0.0 final has been released: http://flow.typo3.org/download/release-notes/flow-2-0.html
